import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import Button from 'reactstrap/lib/Button';
import { ButtonWithLoaderWrapper } from './button-with-loader-wrapper';
import '../../../theme/index.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('ButtonWithLoaderWrapper', () => (
    <ButtonWithLoaderWrapper isLoading={boolean('isLoading', false)}>
      <Button color="primary">
        <span>{text('children', 'button')}</span>
      </Button>
    </ButtonWithLoaderWrapper>));
