import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { ServicesMenu } from './services-menu';
import { IconBlockExplorerService } from '../icons/icon-block-explorer-service/icon-block-explorer-service';
import { IconDraftService } from '../icons/icon-draft-service/icon-draft-service';
import '../../theme/index.scss';

const serviceItems = [
  {
    link: 'link',
    message: 'message',
    icon: <IconBlockExplorerService />,
  },
  {
    link: 'link',
    message: 'message',
    icon: <IconDraftService />,
  },
];

storiesOf('ServicesMenu', module)
  .add('ServicesMenu', () => (
    <IntlProvider locale="en">
      <div style={{ width: '210px' }}>
        <ServicesMenu
          serviceItems={serviceItems}
          hostname="hostname"
        />
      </div>
    </IntlProvider>));
