import { isIOS, isMobile } from './ua';

describe('User agent utils', () => {
  beforeAll(() => {
    Object.defineProperty(navigator, 'userAgent', {
      writable: true,
    });
  });

  describe('#isIOS', () => {
    test('should true for IOS', () => {
      global.navigator.userAgent = 'iPhone';
      expect(isIOS()).toBe(true);
    });

    test('should false for Android', () => {
      global.navigator.userAgent = 'Android';
      expect(isIOS()).toBe(false);
    });
  });

  describe('#isMobile', () => {
    test('should true for isMobile', () => {
      global.navigator.userAgent = 'Android';
      expect(isMobile()).toBe(true);
    });

    test('should false for Desktop', () => {
      global.navigator.userAgent = 'Chrome';
      expect(isMobile()).toBe(false);
    });
  });
});
